Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.model
Class DefaultTableModel

A default table model made up of PropertyModels on a Value model.

author:
  James Strachan

version:
  $Revision: 10600 $

Field Summary
`MyTableColumnModel` | `columnModel`
`ValueModel` | `rowModel`
`ValueModel` | `rowsModel`

Constructor Summary
`DefaultTableModel(ValueModel rowsModel)`
`DefaultTableModel(ValueModel rowsModel, ValueModel rowModel)`

Method Summary
`DefaultTableColumn` | `addClosureColumn(Object headerValue, Closure readClosure, Closure writeClosure, Class type)` Adds a closure based column to the table
`DefaultTableColumn` | `addColumn(Object headerValue, ValueModel columnValueModel)`
`void` | `addColumn(DefaultTableColumn column)` Adds a new column definition to the table
`DefaultTableColumn` | `addPropertyColumn(Object headerValue, String property, Class type)` Adds a property model column to the table
`DefaultTableColumn` | `addPropertyColumn(Object headerValue, String property, Class type, boolean editable)` Adds a property model column to the table
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`List` | `getColumnList()`
`TableColumnModel` | `getColumnModel()`
`ValueModel` | `getColumnModel(int columnIndex)`
`String` | `getColumnName(int columnIndex)`
`int` | `getRowCount()`
`List` | `getRows()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `removeColumn(DefaultTableColumn column)` Removes a column definition from the table
`void` | `setValueAt(Object value, int rowIndex, int columnIndex)`

Constructor Detail

### DefaultTableModel

    public DefaultTableModel(ValueModel rowsModel)

### DefaultTableModel

    public DefaultTableModel(ValueModel rowsModel, ValueModel rowModel)

Method Detail

### addClosureColumn

    public DefaultTableColumn addClosureColumn(Object headerValue, Closure readClosure, Closure writeClosure, Class type)

  Adds a closure based column to the table

### addColumn

    public DefaultTableColumn addColumn(Object headerValue, ValueModel columnValueModel)

### addColumn

    public void addColumn(DefaultTableColumn column)

  Adds a new column definition to the table

### addPropertyColumn

    public DefaultTableColumn addPropertyColumn(Object headerValue, String property, Class type)

  Adds a property model column to the table

### addPropertyColumn

    public DefaultTableColumn addPropertyColumn(Object headerValue, String property, Class type, boolean editable)

  Adds a property model column to the table

### getColumnClass

    public Class getColumnClass(int columnIndex)

### getColumnCount

    public int getColumnCount()

### getColumnList

    public List getColumnList()

  return:
    the column definitions.

### getColumnModel

    public TableColumnModel getColumnModel()

### getColumnModel

    ValueModel getColumnModel(int columnIndex)

### getColumnName

    public String getColumnName(int columnIndex)

### getRowCount

    public int getRowCount()

### getRows

    List getRows()

### getValueAt

    public Object getValueAt(int rowIndex, int columnIndex)

### isCellEditable

    public boolean isCellEditable(int rowIndex, int columnIndex)

### removeColumn

    public void removeColumn(DefaultTableColumn column)

  Removes a column definition from the table

### setValueAt

    public void setValueAt(Object value, int rowIndex, int columnIndex)